Skip to content

Suggest a score for an incident

GET
/v1/incidents/{id}/score
curl --request GET \
--url https://api.adversarial.com/api/v1/incidents/INC-00001/score

Scores the incident with AI and returns the suggestion. Nothing is saved: to keep the suggestion, update the incident with it.

id
required
string

The ID of the incident to score — INC-00001 (case-insensitive) or a bare number

Example

INC-00001

Incident Score Suggestion

Media typeapplication/json
object
id
required
integer format: int64
severity
required
string
Allowed values: SEV-5 SEV-4 SEV-3 SEV-2 SEV-1
severity_reasoning
required
string
threat_objectives
required
Array<object>
object
reasoning
required
string
relevance
required

Defines how relevant a threat objective is to a particular risk

string
Allowed values: Moderate Substantial
threat_name
required

Identifies a specific threat objective

string
Allowed values: Sabotage Data Disclosure Extortion Customer Targeting Resource Hijacking Fraud
threat_objectives_reasoning
required
string

Example

{
"severity": "SEV-5",
"threat_objectives": [
{
"relevance": "Moderate",
"threat_name": "Sabotage"
}
]
}

Scoring failed